%define upstream_name    MLDBM-Sync
%define upstream_version 0.30

%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	%{upstream_name} module for perl
License:	Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires: perl-Digest-MD5 perl-MLDBM
BuildArch:	noarch


%description
%{upstream_name} module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST README
%{_mandir}/*/*
%{perl_vendorlib}/MLDBM


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-3.mga4
+ Revision: 522015
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 pterjan <pterjan> 0.300.0-2.mga3
+ Revision: 394568
- Fix URL

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 26505
- mageia rebuild
- imported package perl-MLDBM-Sync


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.300.0-1mdv2010.0
+ Revision: 407686
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.30-8mdv2009.0
+ Revision: 257849
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.30-7mdv2009.0
+ Revision: 245881
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.30-5mdv2008.1
+ Revision: 136288
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 0.30-5mdv2008.0
+ Revision: 67500
- kill file require on perl-base


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.30-5mdv2007.0
+ Revision: 108472
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-MLDBM-Sync

